import { PUBLIC_URLS } from '../config/public-endpoints';
import { pushTagToGTM } from '../util/gtm/cos-gtm';
import { userClickRegistration, userClickHeroRegistration } from '../util/gtm/tags-collection';

/**
 * onClick listener for the toolbar registration button
 */
const initToolbarRegisterButtonClickListener = () => {
  $('.c-primary-button.js-buyer.js-toolbar').on('click', function () {
    pushTagToGTM(userClickRegistration);

    window.open(PUBLIC_URLS.buyerRegistrationSite, '_blank');
  });
};

/**
 * onClick listener for the hero registration button
 */
const initHeroRegisterButtonClickListener = () => {
  $('.c-primary-button.js-hero.js-buyer').on('click', function () {
    pushTagToGTM(userClickHeroRegistration);

    window.open(PUBLIC_URLS.buyerRegistrationSite, '_blank');
  });
};

/**
 * onClick listener for the Call to Action find car button
 */
const initCallToAuctionFindButtonClickListener = () => {
  $('.c-primary-button.js-find').on('click', function () {
    // pushTagToGTM(userClickCallToActionFind);
    // window.open(PUBLIC_URLS.buyerRegistrationSite, '_blank');
  });
};

/**
 * onClick listener for the Call to Action registration button
 */
const initCallToActionRegistrationClickListener = () => {
  $('.c-primary-button.js-cta').on('click', function () {
    // currently pushing to GTM only from the root page

    // TODO: implement new GTM Tag
    // pushTagToGTM(userClickRegistration);

    window.open(PUBLIC_URLS.buyerRegistrationSite, '_blank');
  });
};

/**
 * buyer click events
 * @returns {{ init: init }}
 */
export const buyerEvents = (() => ({
  init: function () {
    // init onClick listeners
    initToolbarRegisterButtonClickListener();
    initHeroRegisterButtonClickListener();
    initCallToAuctionFindButtonClickListener();
    initCallToActionRegistrationClickListener();
  }
}))();
