import { PUBLIC_URLS } from '../config/public-endpoints';
import { pushTagToGTM } from '../util/gtm/cos-gtm';
import { userClickLogin } from '../util/gtm/tags-collection';

/**
 * onClick listener for the sign-on button accross pages
 */
const initSignInClickEventListener = () => {
  $('.c-link-login').on('click', function () {
    pushTagToGTM(userClickLogin);

    window.open(PUBLIC_URLS.login, '_blank');
  });
};

/**
 * book a cos-transportation typeform
 */
const initTransportationClickEventListener = () => {
  $('.transport').on('click', function (e) {
    e.preventDefault();

    window.open(PUBLIC_URLS.typeformBookTransportation, '_blank');
  });
};

/**
 * open career page
 */
const initCareerButtonClickEventListener = () => {
  $('.c-primary-button.cc-button_border').on('click', function () {
    window.open(PUBLIC_URLS.careerPage, '_blank');
  });
};

export const sharedClickEvents = (() => ({
  init: function () {
    initTransportationClickEventListener();
    initCareerButtonClickEventListener();
    initSignInClickEventListener();
  }
}))();
